import { httpRequest } from '@/services/http'
import { HttpParams } from '@/services/http/interface'

/**
 * 历史行情
 */
export function queryHistoryDatas(params: HttpParams<{ req: { goodscode?: string }, rsp: Model.QueryHistoryDatasRsp[] }>) {
    return httpRequest('/Quote/QueryHistoryDatas', 'get', params);
}

/**
 * 历史行情
 */
export function queryTSData(params: HttpParams<{ req: { goodscode?: string }, rsp: Model.QueryTSDataRsp }>) {
    return httpRequest('/Quote/QueryTSData', 'get', params);
}